# Selling entities

As the [authorized reseller](/digital-river-api/general-resources/glossary.md#merchant-of-record-seller-of-record-mor-sor) of your products and services, Digital River engages with [multiple local selling entities](#supported-selling-entities).

These entities play a role in determining a transaction's eligible [payment methods](/digital-river-api/payments/supported-payment-methods.md), payment processors, and fulfillment models. In addition, we use them when computing taxes and deciding whether [tax identifiers](/digital-river-api/integration-options/checkouts/creating-checkouts/tax-identifiers.md) and [tax certificates](/digital-river-api/customer-management/setting-tax-related-attributes.md#tax-certificates) can be applied to purchases.

A `sellingEntity` gets dynamically assigned during the [checkout process](/digital-river-api/integration-options/checkouts/creating-checkouts.md):

{% tabs %}
{% tab title="Checkout" %}

```javascript
{
    ...
    "sellingEntity": {
        "id": "DR_IRELAND-ENTITY",
        "name": "Digital River Ireland Ltd."
    },
    ...
}
```

{% endtab %}
{% endtabs %}

How Digital River selects a `sellingEntity` depends on whether the [checkout's ](https://docs.digitalriver.com/digital-river-api-reference/2021-12-13/checkouts)[`items[]`](/digital-river-api/integration-options/checkouts/creating-checkouts/describing-the-items.md) are [physical or digital](/digital-river-api/product-management/creating-and-updating-skus.md#how-products-are-specified-as-physical-or-digital). If `items[]` contains physical goods, we compare the [checkout's ](https://docs.digitalriver.com/digital-river-api-reference/2021-12-13/checkouts)`shipFrom.address.country` to its `shipTo.address.country`. Otherwise, we look at `billTo.address.country`.

In addition, we analyze your eligible entities, which are determined by your trading patterns and your contract with Digital River.

{% hint style="success" %}
Specific eligible entities can be enabled in your contract depending on your needs.
{% endhint %}

You can [use selling entities](#using-selling-entities) to configure front-end methods that display required disclosures and validate customer-submitted data.

## Supported selling entities

The Digital River APIs support the following selling entities:

* Digital River, Inc.
* DR globalTech, Inc.
* Digital River Ireland Ltd.
* Digital River UK
* DR Japan
* Digital River Taiwan
* DR Korea

## Using selling entities

Once Digital River has enough data points to decide, we populate the [checkout's](https://docs.digitalriver.com/digital-river-api-reference/2021-12-13/checkouts) `sellingEntity`.

{% tabs %}
{% tab title="Checkout" %}

```json
{
    "id": "d794759b-85df-424d-b6ac-9133e09ea3da",
    ...
    "shipFrom": {
        "address": {
            ...
            "country": "TW"
        }
    },
    ...
    "sellingEntity": {},
    ...
}
```

{% endtab %}

{% tab title="Updated checkout" %}

```json
{
    "id": "d794759b-85df-424d-b6ac-9133e09ea3da",
    ...
    "shipTo": {
        "address": {
            ...
            "country": "TW"
        },
        ...
    },
    "shipFrom": {
        "address": {
            ...
            "country": "TW"
        }
    },
    ...
    "sellingEntity": {
        "id": "DR_TAIWAN-ENTITY",
        "name": "Digital River Taiwan"
    },
    ...
}
```

{% endtab %}
{% endtabs %}

You can use `sellingEntity.id` to:

* Create a [compliance element](/digital-river-api/developer-resources/reference/elements/compliance-elements.md) to display Digital River's required disclosures.
* Configure the [get compliance details method](https://docs.digitalriver.com/digital-river-api/integration-options/checkouts/creating-checkouts/pages/q44XQrVd2HBDFcYGAcni#digitalriver.compliance.getdetails-businessentitycode-locale), which returns individual disclosures that can be displayed on your front-end.
* Create a [tax identifier element](/digital-river-api/developer-resources/reference/elements/tax-identifier-element.md) to validate the format of tax identification numbers entered by customers.

## Multiple selling entity scenarios

A transaction can only be assigned to a single selling entity. This means that if you submit a [`POST /checkouts`](https://docs.digitalriver.com/digital-river-api-reference/2021-12-13/checkouts#checkouts-1) or [`POST /checkouts/{id}`](https://docs.digitalriver.com/digital-river-api-reference/2021-12-13/checkouts#checkouts-id-1) that results in a [checkout ](https://docs.digitalriver.com/digital-river-api-reference/2021-12-13/checkouts)with multiple [`items[]`](/digital-river-api/integration-options/checkouts/creating-checkouts/describing-the-items.md) that can't be handled by a single selling entity, then a `400 Bad Request` with a `code` of `selling_entity_not_found` is returned.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalriver.com/digital-river-api/integration-options/checkouts/creating-checkouts/selling-entities.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
